MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002085VCMIMechanics - Adventure Mappublic2015-02-15 04:392015-10-15 02:37
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.97c 
Summary0002085: Movement of hero using arrow keys cause crash after attempt to move into map border
DescriptionMost likely when you move using arrow keys VCMI don't check actual limits of map and then "curnode" end up being badly broken so it's cause crash.
TagsNo tags attached.
Attached Filestxt file icon backtrace.txt [^] (842 bytes) 2015-02-15 04:39 [Show Content]

- Relationships

-  Notes
(0005562)
SXX (administrator)
2015-02-22 07:08

Fixed in git:
https://github.com/vcmi/vcmi/commit/00de870f178bfb24f33f2426c423696e6a532b2b [^]

- Issue History
Date Modified Username Field Change
2015-02-15 04:39 SXX New Issue
2015-02-15 04:39 SXX File Added: backtrace.txt
2015-02-22 07:03 SXX Assigned To => SXX
2015-02-22 07:03 SXX Status new => assigned
2015-02-22 07:08 SXX Note Added: 0005562
2015-02-22 07:08 SXX Status assigned => resolved
2015-02-22 07:08 SXX Fixed in Version => 0.97c
2015-02-22 07:08 SXX Resolution open => fixed
2015-10-15 02:37 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean